SystemOrganization addCategory: #'SqueakIt-Experiments-RJG'!
SystemOrganization addCategory: #'SqueakIt-Experiments-RJG-Tests'!
SystemOrganization addCategory: #SqueakIt!

TestCase subclass: #RootComponentTest
	instanceVariableNames: 'module html'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakIt-Experiments-RJG-Tests'!

!RootComponentTest methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:32'!
html
	^ html! !

!RootComponentTest methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:32'!
html: anObject
	html := anObject! !

!RootComponentTest methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:32'!
module
	^ module! !

!RootComponentTest methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:32'!
module: anObject
	module := anObject! !

!RootComponentTest methodsFor: 'running' stamp: 'RonnieGarduno 1/29/2013 17:42'!
setUp 
	module := RootComponent new.
	html := WAHtmlCanvas new! !

!RootComponentTest methodsFor: 'tests' stamp: 'RonnieGarduno 1/29/2013 17:33'!
testHasTitle
	self shouldnt: [module title] raise: Error.
	self module renderContentOn: html.
"	self assert: html notNil"! !

!RootComponentTest methodsFor: 'tests' stamp: 'RonnieGarduno 1/29/2013 15:45'!
testSetTitleChanges
	module title: 'testing'.
	self assert: module title = 'testing'.
	module title: 'new'.
	self assert: (module title = 'testing') not.
	self assert: module title = 'new'! !

!RootComponentTest methodsFor: 'tests' stamp: 'RonnieGarduno 1/29/2013 15:43'!
testSetTitleSets
	module title: 'testing'.
	self assert: module title = 'testing'! !

WAComponent subclass: #RootComponent
	instanceVariableNames: 'title'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakIt-Experiments-RJG'!

!RootComponent class methodsFor: 'as yet unclassified' stamp: 'RonnieGarduno 1/29/2013 17:07'!
canBeRoot 
	^true! !

!RootComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:11'!
initialize 
	super initialize.
	title := 'Hello Internet!!'! !

!RootComponent methodsFor: 'rendering' stamp: 'RonnieGarduno 1/29/2013 17:41'!
renderContentOn: html
	html heading: title.
	html text: 'This will one day be a mighty website.'.
	html break.
	html text: html class.
	html break.! !

!RootComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 1/28/2013 17:38'!
title
	^ title! !

!RootComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 1/28/2013 17:38'!
title: anObject
	title := anObject! !

WAComponent subclass: #SIRootComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakIt'!

SIRootComponent subclass: #SIDialogComponent
	instanceVariableNames: 'msg video'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakIt'!

!SIDialogComponent methodsFor: 'initialization' stamp: 'B.C. 2/2/2013 10:41'!
initialize
	super initialize.
	msg := 'None'! !

!SIDialogComponent methodsFor: 'accessing' stamp: 'B.C. 2/1/2013 08:20'!
msg
	^ msg! !

!SIDialogComponent methodsFor: 'accessing' stamp: 'B.C. 2/1/2013 08:20'!
msg: aString
	msg := aString! !

!SIDialogComponent methodsFor: 'rendering' stamp: 'BiancaBologa 2/6/2013 16:53'!
renderContentOn: html
	html text: msg.
	html break.
	html break.
	
	html submitButton
		callback: [self answer];
		text: 'Close'.! !

!SIDialogComponent methodsFor: 'accessing' stamp: 'B.C. 2/1/2013 09:01'!
video
	^ video! !

!SIDialogComponent methodsFor: 'accessing' stamp: 'B.C. 2/1/2013 09:01'!
video: anObject
	video := anObject! !

!SIRootComponent class methodsFor: 'as yet unclassified' stamp: 'RonnieGarduno 1/31/2013 18:20'!
canBeRoot 
	^true! !

!SIRootComponent class methodsFor: 'as yet unclassified' stamp: 'RonnieGarduno 2/5/2013 19:04'!
initialize
	(WAAdmin register: self asApplicationAt: 'SqueakIt')
       addLibrary: PTDeploymentLibrary;
       addLibrary: SUDeploymentLibrary! !

!SIRootComponent methodsFor: 'as yet unclassified' stamp: 'RonnieGarduno 2/5/2013 18:57'!
initialize 
	super initialize.
! !

!SIRootComponent methodsFor: 'rendering' stamp: 'BiancaBologa 2/6/2013 16:06'!
renderContentOn: html
	| dlg |
	dlg := SIDialogComponent new.
	
	html heading
		onClick: (html scriptaculous effect highlight  );
		with: 'Hello SqueakIt!!'.
	html text: 'This will be our website.'.
	
	html horizontalRule.
	html break.

	html popupAnchor
		callback: [ 
			dlg msg: 'Popup works'.
			self session presenter call: dlg];
		extent: 350@350;
		with: 'Test popup'.

	html break.
	html break.

	html anchor
		onClick: (html javascript alert: 'Testing alert');
		with:'Test alert'.

	html break.
	html break.

	html anchor
		onClick: (html javascript confirm: 'Testing confirm');
		with:'Test confirm'.

	html break.
	html break.

	html anchor
		onClick: (html javascript refresh);
		with:'Refresh'.! !

!SIRootComponent methodsFor: 'as yet unclassified' stamp: 'BiancaBologa 2/6/2013 16:42'!
style
	^'
	body {
		text-align: center;
    		text-shadow: 1px 1px 2px rgba(0,0,0,0.6);
		text-decoration: none;
		padding: 5px 10px;
		border-radius: 15px;
		border: 3px solid rgb(0,0,0);
		
		-webkit-background-size: cover;
		-moz-background-size: cover;
		-o-background-size: cover;
		background-size: cover;
		
		background-image: -ms-radial-gradient(center, ellipse farthest-corner, #FFFFFF 0%, #00A3EF 100%);
		background-image: -moz-radial-gradient(center, ellipse farthest-corner, #FFFFFF 0%, #00A3EF 100%);
		background-image: -o-radial-gradient(center, ellipse farthest-corner, #FFFFFF 0%, #00A3EF 100%);
		background-image: -webkit-gradient(radial, center center, 0, center center, 412, color-stop(0, #FFFFFF), color-stop(1, #00A3EF));
		background-image: -webkit-radial-gradient(center, ellipse farthest-corner, #FFFFFF 0%, #00A3EF 100%);

		background-image: radial-gradient(ellipse farthest-corner at center, #FFFFFF 0%, #00A3EF 100%);
		}'! !
SIRootComponent initialize!
